Banshee crashing after launching

Bug #1048341 reported by Keith Drummond on 2012-09-09
52
This bug affects 7 people
Affects Status Importance Assigned to Milestone
gconf
Won't Fix
Medium
banshee (Ubuntu)
Undecided
Unassigned
gconf (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 12.10 Beta 1 (currently up-to-date)

When banshee starts it launches for a few moments, freezes, then crashes.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: banshee 2.4.1-3ubuntu2
ProcVersionSignature: Ubuntu 3.5.0-14.15-generic 3.5.3
Uname: Linux 3.5.0-14-generic x86_64
ApportVersion: 2.5.1-0ubuntu7
Architecture: amd64
Date: Sun Sep 9 19:35:06 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120905.2)
ProcEnviron:
 LANGUAGE=en_IE:en
 PATH=(custom, no user)
 LANG=en_IE.UTF-8
 SHELL=/bin/bash
SourcePackage: banshee
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Keith Drummond (victor9098) wrote :

Could you follow the instructions in
https://bugs.launchpad.net/ubuntu/+source/banshee/+bug/1044842/comments/3 to
obtain the Banshee debug log and stack trace please from the crash please?

  status incomplete

--
Kind regards,
Loong Jin

Changed in banshee (Ubuntu):
status: New → Incomplete
Keith Drummond (victor9098) wrote :

I ran "banshee --debug" in a terminal but it stops responding at;

ERROR: Caught a segmentation fault while loading plugin file:
/usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgsttypefindfunctions.so

Please either:
- remove it and restart.
- run with --gst-disable-segtrap --gst-disable-registry-fork and debug.

If I have done right you should find the two attached files below

Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :

The two attachments should be as per the instructions now. Let me know if you need anything else.

Thanks

Chow Loong Jin (hyperair) wrote :

Hmm, you're missing symbols in the gdb output. Could you install dbus-1-dbg and redo that please?

Keith Drummond (victor9098) wrote :

Installed the package, but I am still seeing a "no debugging symbols found" output in gbd.

Also instead of crashing, banshee is now freezing (going grey) and doing nothing when I run with the gbd process. Just running 'banshee --debug' causes it to launch and crash within seconds, but when I am quick enough to get into the gbd terminal it just freezes up.

Keith Drummond (victor9098) wrote :

I should add that once I quit the gbd process the 'banshee --debug' process continues and then crashes with the message;

Stacktrace:

Native stacktrace:

Segmentation fault (core dumped)

Chow Loong Jin (hyperair) wrote :

The segmentation fault was to be expected from that error. As for "no debugging symbols found", that's also to be expected, but you should be seeing some symbol names in the stack trace rather than ?? in the stack trace.

Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :

I have tried multiple time and have left the process running for several hours trying to get the gbd process to run simultaneously but the whole thing keeps freezing. I use the 'cont' command to move it along, but eventually banshee --debug ends and there is 'no stack' for the 'bt full' command.

The latest uploads should illustrate that. Hopefully the debug symbols are working too. Let me know if I can provide anything else

Chow Loong Jin (hyperair) wrote :

On 11/09/2012 00:11, Keith Drummond wrote:
> I have tried multiple time and have left the process running for several
> hours trying to get the gbd process to run simultaneously but the whole
> thing keeps freezing. I use the 'cont' command to move it along, but
> eventually banshee --debug ends and there is 'no stack' for the 'bt
> full' command.
>
> The latest uploads should illustrate that. Hopefully the debug symbols
> are working too. Let me know if I can provide anything else
>

You typed in one 'cont' too many. Please use 'bt full' after the SIGABRT -- if
you cont at that point, the program terminates and the stack disappears.

--
Kind regards,
Loong Jin

Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :
Keith Drummond (victor9098) wrote :

Thanks for pointing out my mistake! Hopefully these are what you have been looking for.

Chow Loong Jin (hyperair) wrote :

Great, thanks. Let me just whip up a small patch for you to test.

Changed in banshee (Ubuntu):
status: Incomplete → Triaged
Chow Loong Jin (hyperair) wrote :

https://launchpad.net/~hyperair/+archive/test-11048341-fix <-- Try activating this PPA and testing the libgconf2-4 package there, then see if the issue persists.

Changed in gconf (Ubuntu):
status: New → Triaged
status: Triaged → New
status: New → Incomplete
Chow Loong Jin (hyperair) wrote :

You'll have to wait for a while though -- it doesn't look like the package has appeared on the PPA yet.

Keith Drummond (victor9098) wrote :

Got the updates from the PPA.

Banshee launches. The first time everything ran very slowly, Banshee kept freezing/unfreezing and the media keys on my keyboard would not work. I closed Banshee after about 10 mins. Opened again and now it seems to be working fine. Playing music now and it has not frozen or crashed.

Do you require any logs or other information?

Thanks again for all the help.

Chow Loong Jin (hyperair) wrote :

Great! Could you try playing with the settings a little? Just toggle a couple of settings here and there and see if it crashes. Also, if you could get the output of "banshee --debug" for the freezing/unfreezing, that would also be great.

Changed in gconf (Ubuntu):
status: Incomplete → Triaged
Changed in banshee (Ubuntu):
status: Triaged → Incomplete
Keith Drummond (victor9098) wrote :

Have restarted the computer several times now and that freeze/unfreeze effect has not reoccurred, it was just the first run after the updates.

Have added and removed a few extensions. Ticked/unticked various items, tried running all the various extensions and there has been no crashes, freezes or other instability I can see. Just been playing with playlists and so on, and all seems stable.

Chow Loong Jin (hyperair) wrote :

On 11/09/2012 12:46, Keith Drummond wrote:
> Have restarted the computer several times now and that freeze/unfreeze
> effect has not reoccurred, it was just the first run after the updates.
>
> Have added and removed a few extensions. Ticked/unticked various items,
> tried running all the various extensions and there has been no crashes,
> freezes or other instability I can see. Just been playing with playlists
> and so on, and all seems stable.
>

Great! In that case, I'll just mark the Banshee task as invalid, and attach the
patch for gconf.

  affects ubuntu/banshee
  status invalid
  subscribe ubuntu-sponsors

--
Kind regards,
Loong Jin

Changed in banshee (Ubuntu):
status: Incomplete → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gconf - 3.2.5-0ubuntu3

---------------
gconf (3.2.5-0ubuntu3) quantal; urgency=low

  * debian/patches/call-dbus_g_thread_init.patch:
    - Initialize dbus threads before doing anything. This fixes crashes in
      multithreaded applications that don't use libdbus directly. (LP: #1048341)
 -- Chow Loong Jin <email address hidden> Tue, 11 Sep 2012 10:12:41 +0800

Changed in gconf (Ubuntu):
status: Triaged → Fix Released
Changed in gconf:
importance: Unknown → Medium
status: Unknown → New
A-ruhier (a-ruhier) wrote :

Janitor, on ArchLinux there is the same problem now and your patch fix the crashes.

I have opened a bug report on the gnome bugzilla before I found your patch, and now I know it fix the problem I would like to have the bug number of this bug of GConf please, a banshee developer needs it.

Thanks !

Chow Loong Jin (hyperair) wrote :

On 26/11/2012 09:41, A-ruhier wrote:
> Janitor, on ArchLinux there is the same problem now and your patch fix
> the crashes.
>
> I have opened a bug report on the gnome bugzilla before I found your
> patch, and now I know it fix the problem I would like to have the bug
> number of this bug of GConf please, a banshee developer needs it.
>
> Thanks !
>

Hey A-ruhier,

The gconf bug link is above (ctrl+f for gnome-bugs). Also, janitor is a bot.
Could you post the link to the upstream Banshee bug please?

There's also a banshee-list discussion about this at
http://thread.gmane.org/gmane.comp.gnome.mono.banshee/13247, if you weren't
already aware about this.

--
Kind regards,
Loong Jin

A-ruhier (a-ruhier) wrote :

Here is the link for the bug report : https://bugzilla.gnome.org/show_bug.cgi?id=688845

And shame on me to answer it to a bot :p
Thanks for your answer !

Changed in gconf:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.